# The NBS espHome config file collection
This is a collection of all espHome config files!

# Some general things:
## Why tho?
Why? You ask me why? Because I want everyone in my family to have access to those files.

## How about changes?
The general rule about changes is that you can intruduce them yourself and put in a pull request. However, withhin the family I will try to continue and improve stuff as it is so should you have suggestions, I'd like to hear them

## How about passwords and keys?
Passwords and keys are listed in (secrets.yaml.temple)[this template]. We do not have a way to share the actual secrets.yaml internally within the family but I hope we find a solution to that problem. For now, ask me and I may share it with you.

# A3Pool
This is a standard config for the a3pool. Nothing special by far with 2 temp sensors and 1 switch.

The temperature sensors have the `pool_temperature` and `solar_temperature` and will show report the pool temperature and solar temperature respectively every 10 seconds.

There is also one switch that is designed to turn the pump on and off. This works by giving an 500ms long impulse that should turn the pump on/off and sensing on a GPIO ping whenever the pump is currently on/off. This switch carries the name of `pump`. I know HOW CREATIVE...
**HOWEVER: If the pump is set to off or to the physical clock with physical switch in the garage this will not work!** It will still report it's state correclty however.

There is an other switch that does not have any functionality yet but it's `automate_control` if anyone wants to know.


# Table Tennis Count!
## Table Tennis Footswitch
The files go by the name of (pingpongfuss.yaml)[pingpongfuss1.yaml].
While the 1 may be interpreted as just the first of the two sides, it's actually just one nodemcu for both sides. So keep that in mind.

And other disclaimer: **This does not use the native API, or an encryption key, and uses MQTT only. However, that might change in the future**

The topics are as follows:

### Scoring points
Topic `tabletenniscounter/control/score/count` will be send with the value of either `0` or `1` when ever red or blue should get a point respectively.

### Undoing last points (Up to 10 points)
Topic `tabletenniscounter/control/score/undo` will be sent with no payload to worry about. The counting part on the respberry pi is supposed to keep a list of the last 10 points.

More infos are added soon!
